Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.scaler
Class ScaleDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--jm.scaler.ScaleDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.event.FocusListener, java.awt.image.ImageObserver, java.awt.event.KeyListener, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class ScaleDialog
extends javax.swing.JDialog
implements java.awt.event.ActionListener, java.awt.event.FocusListener, java.awt.event.KeyListener

Diese Klasse zeigt einen Dialog an, mit dem die Bilddimensionen veraendert werden koennen. Sie wird vom Bikubischen Skalierungs-Plugin aufgerufen, damit der Benutzer Eingaben zur gewuenschten Skalierung machen kann.

See Also:
  `BicubicInterpolation`, Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`boolean` | `newwindow`
`boolean` | `okPressed`
`int` | `pixelX`
`int` | `pixelY`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ScaleDialog(ij.ImagePlus i)` Der Konstruktor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` Routine zur Nachrichtenbehandung von Mausklicks sowie Tastatureingaben (Return)
`void` | `focusGained(java.awt.event.FocusEvent evt)` Routine zur Nachrichtenbehandung von Fokuswechseln der Elemente der GUI.
`void` | `focusLost(java.awt.event.FocusEvent evt)` Routine zur Nachrichtenbehandung von Fokuswechseln der Elemente der GUI.
`void` | `keyPressed(java.awt.event.KeyEvent evt)` Faengt Eingaben von der Tastatur ab.
`void` | `keyReleased(java.awt.event.KeyEvent evt)` Faengt Eingaben von der Tastatur ab.
`void` | `keyTyped(java.awt.event.KeyEvent evt)` Faengt Eingaben von der Tastatur ab.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pixelX

    public int pixelX

### pixelY

    public int pixelY

### okPressed

    public boolean okPressed

### newwindow

    public boolean newwindow

Constructor Detail

### ScaleDialog

    public ScaleDialog(ij.ImagePlus i)

  Der Konstruktor.

Parameters:
  `i` - ImagePlus-Objekt von ImageJ

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Routine zur Nachrichtenbehandung von Mausklicks sowie Tastatureingaben (Return)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `evt` - uebergebener ActionEvent

### focusLost

    public void focusLost(java.awt.event.FocusEvent evt)

  Routine zur Nachrichtenbehandung von Fokuswechseln der Elemente der GUI. Hier muessen insbesondere Fokuswechsel der Textfelder behandelt werden.

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`
  Parameters:
    `evt` - uebergebener FocusEvent, ausgeloest durch Fokuswechsel.

### focusGained

    public void focusGained(java.awt.event.FocusEvent evt)

  Routine zur Nachrichtenbehandung von Fokuswechseln der Elemente der GUI.

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`
  Parameters:
    `evt` - uebergebener FocusEvent, ausgeloest durch Fokuswechsel.

### keyReleased

    public void keyReleased(java.awt.event.KeyEvent evt)

  Faengt Eingaben von der Tastatur ab. Dies ist noetig, um abzufragen, wenn ein Textfeld mit der Eingabetaste verlassen wird.

  Specified by:
    `keyReleased` in interface `java.awt.event.KeyListener`
  Parameters:
    `evt` - KeyEvent, durch Tastatureinagben ausgeloest.

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent evt)

  Faengt Eingaben von der Tastatur ab. Dies ist noetig, um abzufragen, wenn ein Textfeld mit der Eingabetaste verlassen wird.

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Parameters:
    `evt` - KeyEvent, durch Tastatureinagben ausgeloest.

### keyTyped

    public void keyTyped(java.awt.event.KeyEvent evt)

  Faengt Eingaben von der Tastatur ab. Dies ist noetig, um abzufragen, wenn ein Textfeld mit der Eingabetaste verlassen wird.

  Specified by:
    `keyTyped` in interface `java.awt.event.KeyListener`
  Parameters:
    `evt` - KeyEvent, durch Tastatureinagben ausgeloest.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD